;; Larry Mulcahy 1988
;; personality

(provide 'personality)
(require 'format-long "long")
(require 'sequence)
(require 's-expression "s-expr")

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; *available-personalities*
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defvar *available-personalities*)
(setq *available-personalities*
      '(none enhanced-robin mild robin
	     offensive
	     psychotic-threatening
	     zippy
	     ))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; chastise-careless-users-string 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defun chastise-careless-users-string ()
  (case *personality*
    (none "")
    (mild (admonitory-message))
    (robin (robinism))
    (enhanced-robin (enhanced-robinism))
    (offensive (harsh-admonitory-message))
    (zippy (zippyism))
    (psychotic-threatening (psychotic-threatening-message))
    ))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; *personality*
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defvar *personality*)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; admonitory-message 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defun admonitory-message ()
  (one-of *vanilla-rebukes*))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; *vanilla-rebukes*
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defvar *vanilla-rebukes*)
(setq *vanilla-rebukes*
  '("HUH?"
    "What?"
    "Eh?"
    "Oh stop silly!"
    "Oh, you silly goose!"
    "What are you trying to say?"
    "Try very hard to give me some correct input."
    "You're such a tease."
    "Stop, you animal."
    "Are you all right?"
    "You are having a hard time out there, eh?"
    "Try again."
    "Say what?"
    "I don't understand."
    "My brain hurts."
    "I have every confidence in you.  Now try again."
    "I know you will be able to figure out how to give me some correct input."
    "I just can't figure out what it is you want."
    "Did you say something?"
    "Oh, did you hit a key?"
    "(The CPU was refreshing its RAM and didn't notice your input)."
    "(The CPU was barrel-shifting a longword and didn't notice your input)."
    ))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; *psychotic-threatening-messages*
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defvar *psychotic-threatening-messages*)
(setq *psychotic-threatening-messages*
  '("Please don't make me kill again"
    "Play Misty for me"
    "You're a disease -- I'm the cure"
    "I'm for peace.  Just kill all the people and there will be peace."
    "The planet is infested with carbon-based life.  It must be sterilized."
    "Now I'll make you an offer you can't refuse."
    "Most human problems can be solved by an appropriate charge of high explosive."
    "Make my day."
    "When people are bad, they have to be punished.  If the law won't do it, someone has to.  Someone above the law.  Someone who can cut the bad out like you cut the rot out of an apple."
    ))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; *offensive-adjectives*
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defvar *offensive-adjectives*)
(setq *offensive-adjectives*
  '("DIM-WITTED" "DUMB" "DRUNKEN" "FERRET-FACED"
    "FLATULENT" "IGNORANT" "INTEMPERATE" "INCONTINENT"
    "MEALY-MOUTHED"
    "OBNOXIOUS" "SMELLY" "STUPID" "UGLY"))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; *offensive-nouns*
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defvar *offensive-nouns*)
(setq *offensive-nouns*
  '("BED-WETTER" "BONEHEAD" "BONER" "BOOB"
    "BOZO" "BUFFOON" "CLOD" "CLOWN" "CRETIN" "DOG"
    "FOOL" "FREAK" "GEEK" "JERK" "LOUT"
    "SCUM" "SLOB" "SNAKE" "SNOT" "WEASEL"))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; *hillbilly-nouns*
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defvar *hillbilly-nouns*)
(setq *hillbilly-nouns*
  '("CUR" "MULE" "POLECAT" "SACK OF GUTS" "SKUNK" "VARMINT"))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; *hillbilly-adjectives*
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defvar *hillbilly-adjectives*)
(setq *hillbilly-adjectives*
  '("FLEA-BITTEN" "MANGY" "ORNERY" "SCURVY" "SHIFTLESS" "WORM-EATEN"))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; *homo-adjectives*
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defvar *homo-adjectives*)
(setq *homo-adjectives*
  '("EFFEMINATE" "DEGENERATE" "LIMP-WRISTED" "MALODOROUS" "MINCING"
    "PERFUMED" "PRANCING" "SIMPERING"))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; *homo-nouns*
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defvar *homo-nouns*)
(setq *homo-nouns*
  '("DEVIATE" "DRAG QUEEN" "FAG" "FAIRY"
    "FRUIT" "HOMO" "PANSY" "PERVERT"
    "QUEEN" "QUEER" "SISSY" "SWISH" "TRANSVESTITE"))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; *fat-adjectives*
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defvar *fat-adjectives*)
(setq *fat-adjectives*
  '("BLOATED" "CORPULENT" "FAT" "GROSS" "IMMENSE" "OBESE" "SWEATY"))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; *fat-nouns*
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defvar *fat-nouns*)
(setq *fat-nouns*
  '("BEHEMOTH" "COW" "ELEPHANT" "GLUTTON"
    "HIPPO" "LEVIATHAN" "PIG" "SLOB" "WHALE"))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; *syncophant-adjectives*
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defvar *syncophant-adjectives*)
(setq *syncophant-adjectives*
  '("CRINGING" "DETESTABLE" "FAWNING" "GROVELING"
    "MISERABLE" "SERVILE" "SNIVELING" "WHINING"))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; *syncophant-nouns*
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defvar *syncophant-nouns*)
(setq *syncophant-nouns*
  '("LICKSPITTLE" "PARASITE" "SYNCOPHANT"
    "TOADY" "WORM" "WRETCH"))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; *pus-adjectives*
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defvar *pus-adjectives*)
(setq *pus-adjectives*
  '("ABOMINABLE" "FETID" "FLATULENT" "FOUL"
    "LEPROUS" "LOATHSOME" "MOULDERING" "OBSCENE" "OFFENSIVE"
    "PUTRESCENT" "REEKING" "SEBACOUS"
    "VILE"))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; *pus-nouns*
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defvar *pus-nouns*)
(setq *pus-nouns*
  '("BAG OF PUS" "CARRION" "CESSPOOL" "EDEMA"
    "OOZING" "ORDURE" "PURULENCE"
    "SCUM" "SINK OF CORRUPTION" "SUPPURATION"))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; homo-insult 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defun homo-insult ()
  (concatenate 'string
    (one-of *homo-adjectives*) " " (one-of *homo-nouns*)))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; hillbilly-insult 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defun hillbilly-insult ()
  (concatenate 'string
    (one-of *hillbilly-adjectives*) " " (one-of *hillbilly-nouns*)))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; pus-insult 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defun pus-insult ()
  (concatenate 'string
    (one-of *pus-adjectives*) " " (one-of *pus-nouns*)))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; fat-insult 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defun fat-insult ()
  (concatenate 'string
    (one-of *fat-adjectives*) " " (one-of *fat-nouns*)))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; syncophant-insult 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defun syncophant-insult ()
  (concatenate 'string
    (one-of *syncophant-adjectives*) " " (one-of *syncophant-nouns*)))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; general-purpose-insult 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defun general-purpose-insult ()
  (concatenate 'string
    (one-of *offensive-adjectives*) " " (one-of *offensive-nouns*)))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; harsh-admonitory-message 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defun harsh-admonitory-message ()
  (case (random 6)
    (0 (general-purpose-insult))
    (1 (homo-insult))
    (2 (fat-insult))
    (3 (syncophant-insult))
    (4 (hillbilly-insult))
    (5 (pus-insult))
    ))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; psychotic-threatening-message 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defun psychotic-threatening-message ()
  (one-of *psychotic-threatening-messages*))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; *robinisms*
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defvar *robinisms*)
(setq *robinisms*
  '("AGILITY" "ALMOST" "ALPS" "ALTEREGO" "ANAGRAMS" "APPARITION"
    "ARMADILLOS" "ASHTRAY" "ASP" "ASTRINGENT POMITE FRUIT" "ASTRONOMY"
    "AUDOBON" "BACKFIRE" "BALL AND CHAIN" "BANK BALANCE" "BANKRUPTCY"
    "BANKS" "BARGAIN BASEMENT" "BAT-TRAP" "BENEDICT ARNOLD" "BIJOU"
    "BIKINI" "BLACKBEARD" "BLACKOUT" "BLANK CARTRIDGE" "BLUEBEARD"
    "BOUNCING BOILERPLATE" "BOWLER" "BULLSEYE" "BUNSONS" "CAFFEINE"
    "CAMAFLAGE" "CAPTAIN NEMO" "CARUSO" "CATASTROPHE" "CHICKEN COOP"
    "CHILIBLAINS" "CHOCOLATE ECLAIR" "CHUTZPAH" "CINDERELLA" "CINEMASCOPE"
    "CLICHE" "CLIFFHANGERS" "CLOCKWORK" "CLOCKWORKS" "COFFIN NAILS"
    "COLD CREEPS" "COMPLICATIONS" "CONSECRATION"
    "CONTRIBUTING TO THE DELINQUENCY OF MINORS" "CORPUSCLES" "COSMOS"
    "COSTUME PARTY" "CRACK-UP" "CROSSFIRE" "CRUCIAL MOMENT" 
    "CRYING TOWELS" "CRYPTOLOGY" "CRYSTAL BALL" "D'ARTAGNAN" "DAVY JONES"
    "DEAD END" "DEMOLITION" "DEPOSIT SLIP" "DETONATOR" "DETONATION"
    "DEVILTRY" "DILEMMA" "DISAPPEARING ACT" "DISASTER AREA" "DISTORTION"
    "DIVERSIONARY TACTIC" "DIVERSIONARY TACTICS" "EDISON" "EGG SHELLS"
    "EPICURE" "EPIGRAMS" "ESCAPE HATCH" "EXPLOSION" "FALSE FRONT"
    "FATE WORSE THAN DEATH" "FELONY" "FINISHING TOUCHES" "FIREWORKS"
    "FIRING SQUAD" "FISHBOWL" "FLIGHT PLAN" "FLIP FLOP" "FLOODGATES"
    "FLOOR COVERING" "FLY PAPER" "FOG" "FORK-IN-THE-ROAD"
    "FOURTH AMENDMENT" "FRANKENSTEIN" "FRATRICIDE" "FROGMAN" "FRUIT SALAD"
    "FUGITIVES" "FUNNY BONE" "GALL" "GAMBLES" "GEMINI" "GEOGRAPHY"
    "GHOST WRITER" "GIVEAWAYS" "GLUE POT" "GOLDEN GATE" "GRAF ZEPPLIN"
    "GRAMMAR" "GRAVEYARD" "GREED" "GUACAMOLE" "GUADAL CANAL" "GULLIBILITY"
    "HORS D'OUEVRES" "HABERDASHERY" "HAILSTORM" "HAIRDO" "HALLELUJAH"
    "HAMBURGER" "HAMLET" "HAMSTRINGS" "HANDWORK" "HAPPENSTANCE"
    "HARDEST METAL IN THE WORLD" "HAZINESS" "HEADACHE" "HEADLINES"
    "HEART BREAK" "HEART FAILURE" "HELMETS" "HELPLESSNESS"
    "HERE WE GO AGAIN" "HEIDELBURG" "HEIROGLYPHICS" "HIGH WIRE" "HIJACK"
    "HIJACKERS" "HISTORY" "HOAXES" "HOLE-IN-A-DOUGHNUT" "HOLLYWOOD"
    "HOLOCAUST" "HOMECOMING" "HOMEWORK" "HOMICIDE" "HOODWINK" "HOOFBEATS"
    "HORSESHOE" "HORSESHOES" "HOSTAGE" "HOT FOOT" "HOT SPOT" "HOUDINI"
    "HUMAN COLLECTER'S ITEM" "HUMAN PEARLS" "HUMAN PRESSURE COOKERS"
    "HUMAN SURFBOARDS" "HUNTING HORN" "HURRICANE" "HYDRAULICS" "HYPNOTISM"
    "HYPODERMIC" "HYPOTHESIS" "IT&T" "ICE PICKS" "ICE SKATES" "ICEBERG"
    "IMPOSSIBILITY" "IMPREGNABILITY" "INCANTATION" "INQUISITION"
    "INTERPLANETARY YARDSTICK" "JACK-IN-THE-BOX" "JAILBREAK"
    "JAWBREAKER" "JELLY MOLDS" "JETSET" "JIGSAW PUZZLES" "JITTERBUGS"
    "JOURNEY TO THE CENTER OF THE EARTH" "JUMBLE" "KEYHOLE" "KEYRING"
    "KILOWATTS" "KINDERGARDEN" "KNIT ONE, PURL TWO" "KNOCKOUT DROPS"
    "KNOWN-UNKNOWN FLYING OBJECTS" "KOUFAX" "LEOPARD" "LEVITATION"
    "LIFT-OFF" "LIVING END" "LODESTONE" "LONG JOHN SILVER" "LOOKING GLASS"
    "LOVEBIRDS" "LUTHERBURBANK" "MADNESS" "MAGIC LANTERN" "MAGICIAN"
    "MAINSPRINGS" "MARATHON" "MASHED POTATOES" "MASQUERADE" "MATADOR"
    "MECHANICAL ARMY" "MEMORY BANK" "MERLIN THE MAGICIAN" "MERMAID"
    "MERRY-GO-ROUND" "METRONOME" "MIRACLES" "MISCAST" "MISSING RELATIVES"
    "MOLARS" "MOLEHILL" "MOVIE MOGULS" "MUCILAGE" "MULTITUDES" "MURDER"
    "MUSH" "NAIVETE" "NERVE CENTER" "NICK OF TIME" "NIGHTMARE"
    "NON SEQUITURS" "OLEO" "OLFACTORY" "ONE TRACK BATCOMPUTER MIND"
    "OVERSIGHT" "OXYGEN" "PADEREVSKY" "PARAFFIN" "PERFECT PITCH"
    "PIANO ROLL" "POLAR FRONT" "POLAR ICESHEETS" "POLARIS" "POPCORN"
    "POT LUCK" "PRECISION" "PRESSURE COOKER"
    "PRICELESS COLLECTION OF ETRUSCAN SNOODS" "PSEUDONYM" "PURPLE CANNIBALS"
    "PUZZLES" "RAINBOW" "RATS IN A TRAP" "RAVIOLI" "RAZOR'S EDGE"
    "RED HERRING" "RED SNAPPER" "REINCARNATION" "RELIEF" "RECOMPENSE"
    "REMOTE CONTROL ROBOT" "RESHEVSKY" "RETURN FROM OBLIVION"
    "REVERSE POLARITY" "RICOCHET" "RIP VAN WINKLE" "RISING HEMLINES"
    "ROAD BLOCKS" "ROBERT LOUIS STEVENSON" "ROCK GARDEN" "ROCKING CHAIR"
    "RUDDER" "SARCOPHAGUS" "SARDINE" "SCHIZOPHRENIA" "SEDATIVES"
    "SELF-SERVICE" "SERPENTINE" "SHAMROCKS" "SHOCKS" "SHOW-UPS" "SHOWCASE"
    "SHRINKAGE" "SKULL TAMPER" "SKY ROCKETS" "SLIPPED DISC" "SMOKE"
    "SMOKES" "SMOKESTACK" "SNOWBALL" "SONIC BOOMS" "SPECIAL DELIVERY"
    "SPIDER WEBS" "SPLIT SECONDS" "SQUIRREL CAGE" "STALACTITE" "STAMPEDE"
    "STANDSTILLS" "STEREO" "STEWPOT" "STOMACH ACHE" "STRAIT JACKET"
    "STRATOSPHERE" "STUFFING" "STUPOR" "SUBORBIT" "SUDDEN INCAPACITATION"
    "SUNDIAL" "SURPRISE PARTY" "SWITCH-A-ROO" "TAJ MAHAL" "TARTARS"
    "TAXATION" "TERMINOLOGY" "TINTINNABULATION" "TIP-OFFS" "TITANIC"
    "TOME" "TOREADOR" "TRAMPOLINE" "TRAVEL AGENT" "TRICKERY" "TRIPLE FEATURE"
    "TROLLS AND GOBLINS" "TUXEDO" "UNCANNY PHOTOGRAPHIC MENTAL PROCESSES"
    "UNDERSTATEMENT" "UNDERWRITTEN METROPOLIS" "UNLIKELIHOOD"
    "UNREFILLABLE PRESCRIPTIONS" "VENEZUELA" "VERTEBRA" "VOLTAGE"
    "WASTE OF ENERGY" "WAYNE MANOR" "WEAPONRY" "WEDDING CAKE"
    "WERNER VON BRAUN" "WHISKERS" "WIGS" "ZORRO"))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; *enhanced-robinisms*
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defvar *enhanced-robinisms*)
(setq *enhanced-robinisms*
      '("ARTIFICIAL INTELLIGENCE" "AI" "ATOMIC CAFE" "BACKWARD CHAINING"
	"BLACK HAND" "BLARNEY STONE"
	"BROOM HEAD"
	"BRUSH CUT" "BUREAUCRATIC RUN-AROUND" "BUZZ JOB"
	"COGENERATION" "CONTROL RODS"
	"CREEPING FEATURE SYNDROME" "CRIME DOESN'T PAY"
	"CRITICAL PATH"
	"DARE TO BE GREAT" "DAY OF RITUAL LICENSE"
	"EARLY RETIREMENT"
	; "ELEPHANTIASIS OF THE SCROTUM"
	"ENERGY CRISIS" "EPISTOMOLOGY"
	"ERIN GO BRAGH" "EXPERT SYSTEM"
	"FIXED INCOME"
	; "FLATULENCE"
	"FORWARD CHAINING" "GAS ENGINEERING" "GIFT OF GAB"
	"HEURISTIC" "INFERENCE ENGINE" "IRON MIKE"
	"KNOWLEDGE-BASED" "KNOWLEDGE ENGINEER"
	"LUCK O' THE IRISH" "MAFIA INFLUENCE" "MONOPOLY"
	"MULTI-LEVEL SALES" "MURPHY'S LAW"
	"NAME IT AND CLAIM IT" "NIMO" "NINE MILE POINT"
	"OBJECT-ORIENTED" "ONTOLOGY" "ORGANIZED CRIME" "OUTLAW BIKER"
	"POWER OF POSITIVE THINKING" "PRECIOUS BODILY FLUIDS"
	"PROGRAMMER OUT OF CONTROL"
	"PUBLIC UTILITY" "RED DAWN" "RED MENACE" "RESOLUTION"
	"SOFTWARE LICENSING AGREEMENT"
	"SOLUTION SPACE" "STAUNCH"
	"THINK AND GROW RICH" "THREE MILE ISLAND"
	"TODAY NOT TOMORROW" "TOP GUN"
	"UNANTICIPATED CONSEQUENCES" "UNIFICATION"
	))
				  
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; robinism 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defun robinism ()
  (concatenate 'string "HOLY " (one-of *robinisms*)))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; enhanced-robinism 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defun enhanced-robinism ()
  (concatenate 'string "HOLY "
                       (one-of (append *robinisms* *enhanced-robinisms*))))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; zippyism 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defun zippyism ()
  (one-of *zippyisms*))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; *zippyisms*
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defvar *zippyisms*)
(setq *zippyisms*
  '(
    "- if it GLISTENS, gobble it!!"
    "--- I have seen the FUN ---"
    ".. my NOSE is NUMB!"
    ".. My pants just went on a wild rampage through a Long Island Bowling Alley!!"
    "...bleakness....desolation....plastic forks..."
    "...he dominates the DECADENT SUBWAY SCENE."
    "...I see TOILET SEATS..."
    "...I want a COLOR T.V. and a VIBRATING BED!!!"
    "...I want FORTY-TWO TRYNEL FLOATATION SYSTEMS installed within SIX AND A HALF HOURS!!!"
    "...I'm IMAGINING a sensuous GIRAFFE, CAVORTING in the BACK ROOM of a KOSHER DELI --"
    "...ich bin in einem dusenjet ins jahr 53 vor chr...ich lande im antiken Rom...  einige gladiatoren spielen scrabble...ich rieche PIZZA..."
    "...Like I always say -- nothing can beat the BRATWURST here in DUSSELDORF!!"
    "...My vaseline is RUNNING..."
    "...or were you driving the PONTIAC that HONKED at me in MIAMI last Tuesday?"
    "...someone in DAYTON, Ohio is selling USED CARPETS to a SERBO-CROATIAN"
    "...the MYSTERIANS are in here with my CORDUROY SOAP DISH!!"
    "..are the STEWED PRUNES still in the HAIR DRYER?"
    "..does your DRESSING ROOM have enough ASPARAGUS?"
    "..here I am in 53 B.C. and all I want is a dill pickle!!"
    "..I don't know why but, suddenly, I want to discuss declining I.Q. LEVELS with a blue ribbon SENATE SUB-COMMITTEE!"
    "..I have a VISION!  It's a RANCID double-FISHWICH on an ENRICHED BUN!!"
    "..I think I'd better go back to my DESK and toy with a few common MISAPPREHENSIONS..."
    "..I want to perform cranial activities with Tuesday Weld!!"
    "..If I had heart failure right now, I couldn't be a more fortunate man!!"
    "..over in west Philadelphia a puppy is vomiting.."
    "..the HIGHWAY is made out of LIME JELLO and my HONDA is a barbequeued OYSTER!  Yum!"
    "..this must be what it's like to be a COLLEGE GRADUATE!!"
    "A can of ASPARAGUS, 73 pigeons, some LIVE ammo, and a FROZEN DAQUIRI!!"
    "A dwarf is passing out somewhere in Detroit!"
    "A wide-eyed, innocent UNICORN, poised delicately in a MEADOW filled with LILACS, LOLLIPOPS & small CHILDREN at the HUSH of twilight??"
    "Actually, what I'd like is a little toy spaceship!!"
    "All I can think of is a platter of organic PRUNE CRISPS being trampled by an army of swarthy, Italian LOUNGE SINGERS..."
    "All of life is a blur of Republicans and meat!"
    "All right, you degenerates!  I want this place evacuated in 20 seconds!"
    "All this time I've been VIEWING a RUSSIAN MIDGET SODOMIZE a HOUSECAT!"
    "Am I accompanied by a PARENT or GUARDIAN?"
    "Am I elected yet?"
    "America!! I saw it all!! Vomiting! Waving! JERRY FALWELLING into your void tube of UHF oblivion!! SAFEWAY of the mind --"
    "An INK-LING?  Sure -- TAKE one!! Did you BUY any COMMUNIST UNIFORMS??"
    "An Italian is COMBING his hair in suburban DES MOINES!"
    "And furthermore, my bowling average is unimpeachable!!!"
    "ANN JILLIAN'S HAIR makes LONI ANDERSON'S HAIR look like RICARDO MONTALBAN'S HAIR!"
    "Are we live or on tape?"
    "Are we THERE yet?"
    "Are we THERE yet?  My MIND is a SUBMARINE!!"
    "Are we live or on tape?"
    "Are you mentally here at Pizza Hut??"
    "Are you selling NYLON OIL WELLS??  If so, we can use TWO DOZEN!!"
    "Are you still an ALCOHOLIC?"
    "As President I have to go vacuum my coin collection!"
    "Awright, which one of you hid my PENIS ENVY?"
    "Barbie says, Take quaaludes in gin and go to a disco right away!"
    "But Ken says, WOO-WOO!!  No credit at 'Mr. Liquor'!!"
    "Being a BALD HERO is almost as FESTIVE as a TATTOOED KNOCKWURST."
    "BELA LUGOSI is my co-pilot.."
    "BI-BI-BI-BI-BI-BI-BI-BI-BI-BI-BI-BI-BI-BI-BI-BI-BI-BI-BI-BI-BI-BI-BI-BI-BI-BI-"
    "Bo Derek ruined my life!"
    "Boy, am I glad it's only 1971..."
    "Boys, you have ALL been selected to LEAVE th' PLANET in 15 minutes!!"
    "But was he mature enough last night at the lesbian masquerade?"
    "Can you MAIL a BEAN CAKE?"
    "Catsup and Mustard all over the place! It's the Human Hamburger!"
    "CHUBBY CHECKER just had a CHICKEN SANDWICH in downtown DULUTH!"
    "Civilization is fun!  Anyway, it keeps me busy!!"
    "Clear the laundromat!!  This whirl-o-matic just had a nuclear meltdown!!"
    "Concentrate on th'cute, li'l CARTOON GUYS!  Remember the SERIAL NUMBERS!!  Follow the WHIPPLE AVE. EXIT!!  Have a FREE PEPSI!! Turn LEFT at th'HOLIDAY INN!!  JOIN the CREDIT WORLD!!  MAKE me an OFFER!!!"
    "CONGRATULATIONS!  Now should I make thinly veiled comments about DIGNITY, self-esteem and finding TRUE FUN in your RIGHT VENTRICLE??"
    "Could I have a drug overdose?"
    "Did an Italian CRANE OPERATOR just experience uninhibited sensations in a MALIBU HOT TUB?"
    "Did I do an INCORRECT THING??"
    "Did I say I was a sardine?  Or a bus???"
    "Did I SELL OUT yet??"
    "Did YOU find a DIGITAL WATCH in YOUR box of VELVEETA?"
    "DIDI...is that a MARTIAN name, or, are we in ISRAEL?"
    "Didn't I buy a 1951 Packard from you last March in Cairo?"
    "Disco oil bussing will create a throbbing naugahide pipeline running straight to the tropics from the rug producing regions and devalue the dollar!"
    "Do I have a lifestyle yet?"
    "Do you guys know we just passed thru a BLACK HOLE in space?"
    "Do you have exactly what I want in a plaid poindexter bar bat??"
    "Do you think the 'Monkees' should get gas on odd or even days?"
    "DON'T go!! I'm not HOWARD COSELL!! I know POLISH JOKES...WAIT!! Don't go!! I AM Howard Cosell! ...And I DON'T know Polish jokes!!"
    "Don't hit me!!  I'm in the Twilight Zone!!!"
    "Don't SANFORIZE me!!"
    "Edwin Meese made me wear CORDOVANS!!"
    "Eisenhower!!  Your mimeograph machine upsets my stomach!!"
    "Everybody gets free BORSCHT!"
    "Everybody is going somewhere!! It's probably a garage sale or a disaster Movie!!"
    "FEELINGS are cascading over me!!!"
    "Four thousand different MAGNATES, MOGULS & NABOBS are romping in my gothic solarium!!"
    "FROZEN ENTREES may be flung by members of opposing SWANSON SECTS.."
    "FUN is never having to say you're SUSHI!!"
    "Gee, I feel kind of LIGHT in the head now, knowing I can't make my satellite dish PAYMENTS!"
    "Gibble, Gobble, we ACCEPT YOU - - -"
    "Give them RADAR-GUIDED SKEE-BALL LANES and VELVEETA BURRITOS!!"
    "Go on, EMOTE! I was RAISED on thought balloons!!"
    "Half a mind is a terrible thing to waste!"
    "Hand me a pair of leather pants and a CASIO keyboard--I'm living for today!"
    "Has everybody got HALVAH spread all over their ANKLES?? ...Now, it's time to 'HAVE A NAGEELA'!!"
    "He is the MELBA-BEING...the ANGEL CAKE...XEROX him...XEROX him --"
    "HELLO KITTY gang terrorizes town, family STICKERED to death!"
    "HELLO, everybody, I'm a HUMAN!!"
    "Hello, GORRY-O!!  I'm a GENIUS from HARVARD!!"
    "Hello.  I know the divorce rate among unmarried Catholic Alaskan females!!"
    "Hello...  IRON CURTAIN?  Send over a SAUSAGE PIZZA! World War III?  No thanks!"
    "Hello? Enema Bondage? I'm calling because I want to be happy, I guess.."
    "Here I am at the flea market but nobody is buying my urine sample bottles.."
    "Here I am in the POSTERIOR OLFACTORY LOBULE but I don't see CARL SAGAN anywhere!!"
    "Here we are in America...when do we collect unemployment?"
    "Hey, wait a minute!!  I want a divorce!!  ..you're not Clint Eastwood!!"
    "Hiccuping & trembling into the WASTE DUMPS of New Jersey like some drunken CABBAGE PATCH DOLL, coughing in line at FIORUCCI'S!!"
    "Hmmm... a PINHEAD, during an EARTHQUAKE, encounters an ALL-MIDGET FIDDLE ORCHESTRA...ha..ha.."
    "Hmmm... an arrogant bouquet with a subtle suggestion of POLYVINYL CHLORIDE..."
    "Hmmm..a CRIPPLED ACCOUNTANT with a FALAFEL sandwich is HIT by a TROLLEY-CAR.."
    "Hmmm..A hash-singer and a cross-eyed guy were SLEEPING on a deserted island, when..."
    "Hold the MAYO & pass the COSMIC AWARENESS..."
    "How's it going in those MODULAR LOVE UNITS??"
    "How's the wife?  Is she at home enjoying capitalism?"
    "I always have fun because I'm out of my mind!!!"
    "I am a jelly donut. I am a jelly donut."
    "I am a traffic light, and Alan Ginzberg kidnapped my laundry in 1927!"
    "I am covered with pure vegetable oil and I am writing a best seller!"
    "I am deeply CONCERNED and I want something GOOD for BREAKFAST!"
    "I am NOT a nut...."
    "I appoint you ambassador to Fantasy Island!!!"
    "I brought my BOWLING BALL - and some DRUGS!!"
    "I can't decide which WRONG TURN to make first!!"
    "I wonder if BOB GUCCIONE has these problems!"
    "I can't think about that.  It doesn't go with HEDGES in the shape of LITTLE LULU -- or ROBOTS making BRICKS..."
    "I demand IMPUNITY!"
    "I didn't order any WOO-WOO... Maybe a YUBBA.. But no WOO-WOO!"
    "I don't believe there really IS a GAS SHORTAGE.. I think it's all just a BIG HOAX on the part of the plastic sign salesmen--"
    "..to sell more numbers!!"
    "I don't know WHY I said that.. I think it came from the FILLINGS in my read molars.."
    "I feel better about world problems now!"
    "I feel like a wet parking meter on Darvon!"
    "I feel like I'm in a Toilet Bowl with a thumbtack in my forehead!!"
    "I feel partially hydrogenated!"
    "I guess it was all a DREAM.. or an episode of HAWAII FIVE-O..."
    "I had a lease on an OEDIPUS COMPLEX back in '81..."
    "I had pancake makeup for brunch!"
    "I have a TINY BOWL in my HEAD"
    "I have a very good DENTAL PLAN.  Thank you."
    "I have accepted Provolone into my life!"
    "..I have read the INSTRUCTIONS..."
    "I have seen these EGG EXTENDERS in my Supermarket.."
    "I have the power to HALT PRODUCTION on all TEENAGE SEX COMEDIES!!"
    "I haven't been married in over six years, but we had sexual counseling every day from Oral Roberts!!"
    "I hope I bought the right relish...zzzzzzzzz..."
    "I hope the 'Eurythmics' practice birth control..."
    "I hope you millionaires are having fun!  I just invested half your life savings in yeast!!"
    "I invented skydiving in 1989!"
    "I joined scientology at a garage sale!!"
    "I just forgot my whole philosophy of life!!!"
    "I just got my PRINCE bumper sticker.. But now I can't remember WHO he is..."
    "I just had my entire INTESTINAL TRACT coated with TEFLON!"
    "I just heard the SEVENTIES were over!!  And I was just getting in touch with my LEISURE SUIT!!"
    "I just remembered something about a TOAD!"
    "I Know A Joke"
    "I know th'MAMBO!!  I have a TWO-TONE CHEMISTRY SET!!"
    "I know things about TROY DONAHUE that can't even be PRINTED!!"
    "I left my WALLET in the BATHROOM!!"
    "I like your SNOOPY POSTER!!"
    "I love ROCK 'N ROLL!  I memorized the all WORDS to ``WIPE-OUT'' in 1965!!"
    "I once decorated my apartment entirely in ten foot salad forks!!"
    "I own seven-eighths of all the artists in downtown Burbank!"
    "I represent a sardine!!"
    "I request a weekend in Havana with Phil Silvers!"
    "I selected E5...but I didn't hear 'Sam the Sham and the Pharoahs!'"
    "I smell a RANCID CORN DOG!"
    "I smell like a wet reducing clinic on Columbus Day!"
    "I think I am an overnight sensation right now!!"
    "I think my career is ruined!"
    "I used to be a FUNDAMENTALIST, but then I heard about the HIGH RADIATION LEVELS and bought an ENCYCLOPEDIA!!"
    "I want a VEGETARIAN BURRITO to go.. with EXTRA MSG!!"
    "I want a WESSON OIL lease!!"
    "I want EARS! I want two ROUND BLACK EARS to make me feel warm 'n secure!!"
    "I want the presidency so bad I can already taste the hors d'oeuvres."
    "I want to dress you up as TALLULAH BANKHEAD and cover you with VASELINE and WHEAT THINS.."
    "I want to kill everyone here with a cute colorful Hydrogen Bomb!!"
    "I want to read my new poem about pork brains and outer space..."
    "I want you to organize my PASTRY trays...my TEA-TINS are gleaming in formation like a ROW of DRUM MAJORETTES -- please don't be FURIOUS with me --"
    "I was born in a Hostess Cupcake factory before the sexual revolution!"
    "I was making donuts and now I'm on a bus!"
    "I wish I was a sex-starved manicurist found dead in the Bronx!!"
    "I wish I was on a Cincinnati street corner holding a clean dog!"
    "I wonder if I could ever get started in the credit world?"
    "I would like to urinate in an OVULAR, porcelain pool --"
    "I'd like MY data-base JULIENNED and stir-fried!"
    "I'd like some JUNK FOOD...and then I want to be ALONE - -"
    "I'll eat ANYTHING that's BRIGHT BLUE!!"
    "I'll show you MY telex number if you show me YOURS..."
    "I'm a fuschia bowling ball somewhere in Brittany"
    "I'm a GENIUS!  I want to dispute sentence structure with SUSAN SONTAG!!"
    "I'm a nuclear submarine under the polar ice cap and I need a Kleenex!"
    "I'm also pre-POURED pre-MEDITATED and pre-RAPHAELITE!!"
    "I'm ANN LANDERS!!  I can SHOPLIFT!!"
    "I'm continually AMAZED at th'breathtaking effects of WIND EROSION!!"
    "I'm definitely not in Omaha!"
    "I'm DESPONDENT... I hope there's something DEEP-FRIED under this miniature DOMED STADIUM..."
    "I'm dressing up in an ill-fitting IVY-LEAGUE SUIT!! Too late..."
    "I'm EMOTIONAL now because I have MERCHANDISING CLOUT!!"
    "I'm encased in the lining of a pure pork sausage!!"
    "I'm GLAD I remembered to XEROX all my UNDERSHIRTS!!"
    "I'm having a BIG BANG THEORY!!"
    "I'm having a MID-WEEK CRISIS!"
    "I'm having a tax-deductible experience!  I need an energy crunch!!"
    "I'm having an emotional outburst!!"
    "I'm having an EMOTIONAL OUTBURST!! But, uh, WHY is there a WAFFLE in my PAJAMA POCKET??"
    "I'm having fun HITCHHIKING to CINCINNATI or FAR ROCKAWAY!!"
    "I'm in direct contact with many advanced fun CONCEPTS."
    "I'm meditating on the FORMALDEHYDE and the ASBESTOS leaking into my PERSONAL SPACE!!"
    "I'm mentally OVERDRAWN!  What's that SIGNPOST up ahead?  Where's ROD STERLING when you really need him?"
    "I'm not an Iranian!!  I voted for Dianne Feinstein!!"
    "I'm pretending I'm pulling in a TROUT!  Am I doing it correctly??"
    "I'm rated PG-34!!"
    "I'm receiving a coded message from EUBIE BLAKE!!"
    "I'm RELIGIOUS!!  I love a man with a HAIRPIECE!!  Equip me with MISSILES!!"
    "I'm reporting for duty as a modern person.  I want to do the Latin Hustle now!"
    "I'm shaving!! I'M SHAVING!!"
    "I'm using my X-RAY VISION to obtain a rare glimpse of the INNER WORKINGS of this POTATO!!"
    "I'm wet!  I'm wild!"
    "I'm ZIPPY the PINHEAD and I'm totally committed to the festive mode."
    "I've got a COUSIN who works in the GARMENT DISTRICT..."
    "If elected, Zippy pledges to each and every American a 55-year-old houseboy..."
    "If I am elected no one will ever have to do their laundry again!"
    "If I am elected, the concrete barriers around the WHITE HOUSE will be replaced by tasteful foam replicas of ANN MARGARET!"
    "If I felt any more SOPHISTICATED I would DIE of EMBARRASSMENT!"
    "If I pull this SWITCH I'll be RITA HAYWORTH!!  Or a SCIENTOLOGIST!"
    "If our behavior is strict, we do not need fun!"
    "If Robert Di Niro assassinates Walter Slezak, will Jodie Foster marry Bonzo??"
    "In Newark the laundromats are open 24 hours a day!"
    "INSIDE, I have the same personality disorder as LUCY RICARDO!!"
    "Inside, I'm already SOBBING!"
    "Is a tattoo real, like a curb or a battleship? Or are we suffering in Safeway?"
    "Is he the MAGIC INCA carrying a FROG on his shoulders?? Is the FROG his GUIDELIGHT?? It is curious that a DOG runs already on the ESCALATOR..."
    "Is it 1974?  What's for SUPPER?  Can I spend my COLLEGE FUND in one wild afternoon??"
    "Is it clean in other dimensions?"
    "Is it NOUVELLE CUISINE when 3 olives are struggling with a scallop in a plate of SAUCE MORNAY? "
    "Is this going to involve RAW human ecstasy?"
    "Is this the line for the latest whimsical  YUGOSLAVIAN drama which also makes you want to CRY and reconsider the VIETNAM WAR?"
    "It don't mean a THING if you ain't got that SWING!!"
    "It's a lot of fun being alive...I wonder if my bed is made?!?"
    "It's OKAY --- I'm an INTELLECTUAL, too."
    "It's the RINSE CYCLE!! They've ALL IGNORED the RINSE CYCLE!!"
    "It was a JOKE!! Get it?? I was receiving messages from DAVID LETTERMAN!! YOW!!"
    "JAPAN is a WONDERFUL planet -- I wonder if we'll ever reach their level of COMPARATIVE SHOPPING..."
    "Kids, don't gross me off.. 'Adventures with MENTAL HYGIENE' can be carried too FAR!"
    "Kids, the seven basic food groups are GUM, PUFF PASTRY, PIZZA, PESTICIDES, ANTIBIOTICS, NUTRA-SWEET and MILK DUDS!!"
    "Laundry is the fifth dimension!!  ...um...um... th' washing machine is a black hole and the pink socks are bus drivers who just fell in!!"
    "LBJ, LBJ, how many JOKES did you tell today??!"
    "Leona, I want to CONFESS things to you..  I want to WRAP you in a SCARLET ROBE trimmed with POLYVINYL CHLORIDE.. I want to EMPTY your ASHTRAYS..."
    "Let me do my TRIBUTE to FISHNET STOCKINGS..."
    "Let's send the Russians defective lifestyle accessories!"
    "Life is a POPULARITY CONTEST! I'm REFRESHINGLY CANDID!!"
    "Loni Anderson's hair should be LEGALIZED!!"
    "Look DEEP into the OPENINGS!! Do you see any ELVES or EDSELS...  or a HIGHBALL??..."
    "Look into my eyes and try to forget that you have a Macy's charge card!"
    "Look!  A ladder!  Maybe it leads to heaven, or a sandwich!"
    "LOOK!!  Sullen American teens wearing MADRAS shorts and ``Flock of Seagulls'' HAIRCUTS!"
    "Make me look like LINDA RONSTADT again!!"
    "Maybe we could paint GOLDIE HAWN a rich PRUSSIAN BLUE--"
    "MERYL STREEP is my obstetrician!"
    "MMM-MM!! So THIS is BIO-NEBULATION! "
    "My Aunt MAUREEN was a military advisor to IKE & TINA TURNER!!"
    "My BIOLOGICAL ALARM CLOCK just went off..  It has noiseless DOZE FUNCTION and full kitchen!!"
    "My CODE of ETHICS is vacationing at famed SCHROON LAKE in upstate New York!!"
    "My EARS are GONE!!"
    "My face is new, my license is expired, and I'm under a doctor's care!!!!"
    "My haircut is totally traditional!"
    "My life is a patio of fun!"
    "My mind is a potato field..."
    "My mind is making ashtrays in Dayton...."
    "My nose feels like a bad Ronald Reagan movie..."
    "My pants just went to high school in the Carlsbad Caverns!!!"
    "My polyvinyl cowboy wallet was made in Hong Kong by Montgomery Clift!"
    "My uncle Murray conquered Egypt in 53 B.C.  And I can prove it too!!"
    "NATHAN...your PARENTS were in a CARCRASH!! They're VOIDED - They COLLAPSED"
    "They had no CHAINSAWS ...They had no MONEY MACHINES ...They did PILLS in SKIMPY GRASS SKIRTS ...Nathan, I EMULATED them ...but they were OFF-KEY..."
    "NEWARK has been REZONED!! DES MOINES has been REZONED!!"
    "Not SENSUOUS...only 'FROLICSOME'...and in need of DENTAL WORK...in PAIN!!!"
    "Now I am depressed..."
    "Now I'm concentrating on a specific tank battle toward the end of World War II!"
    "Now, I think it would be GOOD to buy FIVE or SIX STUDEBAKERS and CRUISE for ARTIFICIAL FLAVORING!!"
    "Now I understand the meaning of 'THE MOD SQUAD'!"
    "Of course, you UNDERSTAND about the PLAIDS in the SPIN CYCLE --"
    "Oh, I get it!! 'The BEACH goes on', huh, SONNY??"
    "Oh my GOD -- the SUN just fell into YANKEE STADIUM!!"
    "OKAY!! Turn on the sound ONLY for TRYNEL CARPETING, FULLY-EQUIPPED R.V.'S and FLOATATION SYSTEMS!!"
    "OMNIVERSAL AWARENESS?? Oh, YEH!! First you need 4 GALLONS of JELL-O and a BIG WRENCH!!... I think you drop th'WRENCH in the JELL-O as if it was a FLAVOR, or an INGREDIENT...  ...or...I...um...WHERE'S the WASHING MACHINES?"
    "On the other hand, life can be an endless parade of TRANSSEXUAL QUILTING BEES aboard a cruise ship to DISNEYWORLD if only we let it!!"
    "On the road, ZIPPY is a pinhead without a purpose, but never without a POINT."
    "Once, there was NO fun...  This was before MENU planning, FASHION statements or NAUTILUS equipment...  Then, in 1985..  FUN was completely encoded in this tiny MICROCHIP..  It contain 14,768 vaguely amusing SIT-COM pilots!! We had to wait FOUR BILLION years but we finally got JERRY LEWIS, MTV and a large selection of creme-filled snack cakes!"
    "OVER the underpass! UNDER the overpass! Around the FUTURE and BEYOND REPAIR!!"
    "PARDON me, am I speaking ENGLISH?"
    "Pardon me, but do you know what it means to be TRULY ONE with your BOOTH!"
    "PEGGY FLEMMING is stealing BASKET BALLS to feed the babies in VERMONT."
    "Place me on a BUFFER counter while you BELITTLE several BELLHOPS in the Trianon Room!!  Let me one of your SUBSIDIARIES!"
    "Please come home with me...I have Tylenol!!"
    "Psychoanalysis??  I thought this was a nude rap session!!!"
    "PUNK ROCK!! DISCO DUCK!! BIRTH CONTROL!!"
    "Quick, sing me the BUDAPEST NATIONAL ANTHEM!!"
    "RELATIVES!!"
    "Remember, in 2039, MOUSSE & PASTA will be available ONLY by prescription!!"
    "RHAPSODY in Glue!"
    "Should I start with the time I SWITCHED personalities with a BEATNIK hair stylist or my failure to refer five TEENAGERS to a good OCULIST?"
    "So this is what it feels like to be potato salad"
    "Somewhere in DOWNTOWN BURBANK a prostitute is OVERCOOKING a LAMB CHOP!!"
    "Somewhere in suburban Honolulu, an unemployed bellhop is whipping up a batch of illegal psilocybin chop suey!!"
    "Somewhere in Tenafly, New Jersey, a chiropractor is viewing 'Leave it to Beaver'!"
    "Spreading peanut butter reminds me of opera!!  I wonder why?"
    "TAILFINS!! ...click..."
    "TAPPING? You POLITICIANS! Don't you realize that the END of the 'Wash Cycle' is a TREASURED MOMENT for most people?!"
    "Tex SEX!  The HOME of WHEELS!  The dripping of COFFEE!!  Take me to Minnesota but don't EMBARRASS me!!"
    "Th' MIND is the Pizza Palace of th' SOUL"
    "The appreciation of the average visual graphisticator alone is worth the whole suaveness and decadence which abounds!!"
    "The entire CHINESE WOMEN'S VOLLEYBALL TEAM all share ONE personality -- and have since BIRTH!!"
    "The FALAFEL SANDWICH lands on my HEAD and I become a VEGETARIAN..."
    "The Korean War must have been fun."
    "The Osmonds!  You are all Osmonds!!  Throwing up on a freeway at dawn!!!"
    "The PILLSBURY DOUGHBOY is CRYING for and END to BURT REYNOLDS movies!!"
    "The PINK SOCKS were ORIGINALLY from 1952!! But they went to MARS around 1953!!"
    "There's a little picture of ED MCMAHON doing BAD THINGS to JOAN RIVERS in a $200,000 MALIBU BEACH HOUSE!!"
    "There's enough money here to buy 5000 cans of Noodle-Roni!"
    "These PRESERVES should be FORCE-FED to PENTAGON OFFICIALS!!"
    "They collapsed....like nuns in the street....they had no teen appeal!"
    "This ASEXUAL PIG really BOILS my BLOOD...He's so..so.....URGENT!!"
    "This is a NO-FRILLS flight -- hold th' CANADIAN BACON!!"
    "Those aren't WINOS--that's my JUGGLER, my AERIALIST, my SWORD SWALLOWER, and my LATEX NOVELTY SUPPLIER!!"
    "Thousands of days of civilians ... have produced a...  feeling for the aesthetic modules --"
    "Toes, knees, NIPPLES.  Toes, knees, nipples, KNUCKLES...  Nipples, dimples, knuckles, NICKLES, wrinkles, pimples!! ..I don't like FRANK SINATRA or his CHILDREN."
    "Uh-oh --  WHY am I suddenly thinking of a VENERABLE religious leader frolicking on a FORT LAUDERDALE weekend?"
    "Vote for ME -- I'm well-tapered, half-cocked, ill-conceived and TAX-DEFERRED!"
    "Wait..  is this a FUN THING or the END of LIFE in Petticoat Junction??"
    "Was my SOY LOAF left out in th'RAIN?  It tastes REAL GOOD!!"
    "We are now enjoying total mutual interaction in an imaginary hot tub..."
    "We have DIFFERENT amounts of HAIR --"
    "We just joined the civil hair patrol!"
    "Well, I'm a classic ANAL RETENTIVE!!  And I'm looking for a way to VICARIOUSLY experience some reason to LIVE!!"
    "Well, I'm INVISIBLE AGAIN.. I might as well pay a visit to the LADIES ROOM..."
    "Were these parsnips CORRECTLY MARINATED in TACO SAUCE?"
    "What GOOD is a CARDBOARD suitcase ANYWAY?"
    "What I need is a MATURE RELATIONSHIP with a FLOPPY DISK..."
    "What I want to find out is -- do parrots know much about Astro-Turf?"
    "What PROGRAM are they watching?"
    "What UNIVERSE is this, please??"
    "Where does it go when you flush?"
    "Where's th' DAFFY DUCK EXHIBIT??"
    "Where's the Coke machine?  Tell me a joke!!"
    "While my BRAINPAN is being refused service in BURGER KING, Jesuit priests are DATING CAREER DIPLOMATS!!"
    "WHO sees a BEACH BUNNY sobbing on a SHAG RUG?!"
    "WHOA!! Ken and Barbie are having TOO MUCH FUN!!  It must be the NEGATIVE IONS!!"
    "Why are these athletic shoe salesmen following me??"
    "Why is everything made of Lycra Spandex?"
    "Why is it that when you DIE, you can't take your HOME ENTERTAINMENT CENTER with you??"
    "Will the third world war keep 'Bosom Buddies' off the air?"
    "Will this never-ending series of PLEASURABLE EVENTS never cease?"
    "With YOU, I can be MYSELF..  We don't NEED Dan Rather.."
    "World War Three can be averted by adherence to a strictly enforced dress code!"
    "Wow!  Look!!  A stray meatball!! Let's interview it!"
    "Xerox your lunch and file it under 'sex offenders!'"
    "Yes, but will I see the EASTER BUNNY in skintight leather at an IRON MAIDEN concert?"
    "You should all JUMP UP AND DOWN for TWO HOURS while I decide on a NEW CAREER!!"
    "You were s'posed to laugh!"
    "Your CHEEKS sit like twin NECTARINES above a MOUTH that knows no BOUNDS --"
    "Youth of today!  Join me in a mass rally for traditional mental attitudes!"
    "Yow!"
    "Yow!  Am I having fun yet?"
    "Yow!  Am I in Milwaukee?"
    "Yow!  And then we could sit on the hoods of cars at stop lights!"
    "Yow!  Are we laid back yet?"
    "Yow!  Are we wet yet?"
    "Yow!  Are you the self-frying president?"
    "Yow!  Did something bad happen or am I in a drive-in movie??"
    "Yow!  I just went below the poverty line!"
    "Yow!  I threw up on my window!"
    "Yow!  I want my nose in lights!"
    "Yow!  I want to mail a bronzed artichoke to Nicaragua!"
    "Yow!  I'm having a quadrophonic sensation of two winos alone in a steel mill!"
    "Yow!  I'm imagining a surfer van filled with soy sauce!"
    "Yow!  Is my fallout shelter termite proof?"
    "Yow!  Is this sexual intercourse yet??  Is it, huh, is it??"
    "Yow!  It's a hole all the way to downtown Burbank!"
    "Yow!  It's some people inside the wall!  This is better than mopping!"
    "Yow!  Maybe I should have asked for my Neutron Bomb in PAISLEY--"
    "Yow!  Now I get to think about all the BAD THINGS I did to a BOWLING BALL when I was in JUNIOR HIGH SCHOOL!"
    "Yow!  Now we can become alcoholics!"
    "Yow!  Those people look exactly like Donnie and Marie Osmond!!"
    "Yow!  We're going to a new disco!"
    "YOW!!  Everybody out of the GENETIC POOL!"
    "YOW!!  The land of the rising SONY!!"
    "YOW!!  Up ahead!  It's a DONUT HUT!!"
    "YOW!!  What should the entire human race DO?? Consume a fifth of CHIVAS REGAL, ski NUDE down MT. EVEREST, and have a wild SEX WEEKEND!"
    "YOW!! I'm in a very clever and adorable INSANE ASYLUM!!"
    "YOW!!!  I am having fun!!!"
    "Zippy's brain cells are straining to bridge synapses..."
    ))
