;; Larry Mulcahy 1988
;; trace functions

(provide 'trace)
(require 's-expression "s-expr")
(require 'set)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; trace 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defun trace (&rest functions)
  (dolist (f (reverse functions))
    (setq *tracelist* (adjoin f *tracelist*)))
  *tracelist*)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; untrace 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defun untrace (&optional functions)
  (if *tracelist*
    (if functions
      (setq *tracelist* (set-difference *tracelist* functions))
      (pop *tracelist*))))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; untrace-all 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defun untrace-all ()
  (let ((x *tracelist*))
    (setq *tracelist* nil)
    x))
